APISettings
Get AI agent settings
Fetch the AI agent's configuration, including where it is deployed and its draft and routine settings. Requires the admin scope.
GET
/settings/ai-agentcurl -X GET "https://productlane.com/api/v2/settings/ai-agent" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
enabledbooleanrequiredwelcome_messagestringrequiredexample_questionsstring[]requiredcustom_instructionsstring | nullrequiredcreate_linear_issuesbooleanrequiredgenerate_weekly_summarybooleanrequiredauto_replies_enabledbooleanrequireddrafts_enabledbooleanrequireddrafts_triggerstringrequiredOne of EVERY_INBOUND_MESSAGE, FIRST_MESSAGE_ONLY, MANUAL.
drafts_close_the_loop_enabledbooleanrequireddrafts_custom_promptstring | nullrequiredroutines_enabledbooleanrequiredroutines_promptstring | nullrequireddeployed_onobjectrequiredupdated_atstringrequired
{
"enabled": true,
"welcome_message": "string",
"example_questions": [
"string"
],
"custom_instructions": "string",
"create_linear_issues": true,
"generate_weekly_summary": true,
"auto_replies_enabled": true,
"drafts_enabled": true,
"drafts_trigger": "string",
"drafts_close_the_loop_enabled": true,
"drafts_custom_prompt": "string",
"routines_enabled": true,
"routines_prompt": "string",
"deployed_on": {
"slack": true,
"teams": true,
"api": true,
"support_portal": true,
"feature_requests": true
},
"updated_at": "string"
}